> For the complete documentation index, see [llms.txt](https://docs.geosamples.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geosamples.org/api/individuals.md).

# Individuals

## Search individuals

> Returns up to \`limit\` individuals ordered by ORCID first, then how many profile fields are populated, then label. Optionally filtered by \`query\`. Search matches label, first and last name, alternate label, description, and ORCID,

```json
{"openapi":"3.0.3","info":{"title":"SESAR API","version":"1.0.0"},"security":[{"tokenAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Token-based authentication with required prefix \"Token\""},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"IndividualListSuccess":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/Individual"},"description":"Matching individuals (up to `limit`)."}},"required":["data"]},"Individual":{"type":"object","properties":{"id":{"type":"integer","readOnly":true},"label":{"type":"string","nullable":true,"maxLength":200},"fname":{"type":"string","nullable":true,"maxLength":100},"lname":{"type":"string","nullable":true,"maxLength":100},"alt_label":{"type":"string","nullable":true,"maxLength":100},"description":{"type":"string","nullable":true},"address":{"type":"string","nullable":true,"maxLength":500},"email":{"type":"string","nullable":true,"maxLength":255},"phone":{"type":"string","nullable":true,"maxLength":255},"fax":{"type":"string","nullable":true,"maxLength":255},"individual_uri":{"type":"string","nullable":true,"maxLength":255},"institutions":{"type":"array","items":{"$ref":"#/components/schemas/Institution"},"readOnly":true},"institution_detail":{"type":"string","nullable":true,"maxLength":255},"country":{"type":"string","readOnly":true},"can_edit":{"type":"string","readOnly":true}},"required":["can_edit","country","id","institutions"]},"Institution":{"type":"object","properties":{"id":{"type":"integer","readOnly":true},"institution_type":{"type":"string","readOnly":true},"label":{"type":"string","maxLength":200},"alt_label":{"type":"string","nullable":true,"maxLength":200},"description":{"type":"string","nullable":true},"country":{"type":"string","readOnly":true},"country_subdivision":{"type":"string","nullable":true,"maxLength":255},"city":{"type":"string","nullable":true,"maxLength":255},"ror":{"type":"string","nullable":true,"maxLength":25},"parent_institutions":{"type":"string","readOnly":true},"can_edit":{"type":"string","readOnly":true},"created_by":{"type":"integer","nullable":true}},"required":["can_edit","country","id","institution_type","label","parent_institutions"]}}},"paths":{"/api/individuals/":{"get":{"operationId":"individuals_retrieve","description":"Returns up to `limit` individuals ordered by ORCID first, then how many profile fields are populated, then label. Optionally filtered by `query`. Search matches label, first and last name, alternate label, description, and ORCID,","summary":"Search individuals","parameters":[{"in":"query","name":"limit","schema":{"type":"integer"},"description":"Maximum rows to return (clamped between 1 and 100, default 25)."},{"in":"query","name":"query","schema":{"type":"string"},"description":"Case-insensitive substring filter across name, ORCID, and related text fields."}],"tags":["Individuals"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IndividualListSuccess"}}},"description":""}}}}}}
```

## Create individual

> Creates a new individual record for linking to a sample, for example a collector.

```json
{"openapi":"3.0.3","info":{"title":"SESAR API","version":"1.0.0"},"security":[{"tokenAuth":[]},{"jwtAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"type":"apiKey","in":"header","name":"Authorization","description":"Token-based authentication with required prefix \"Token\""},"jwtAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"IndividualWrite":{"type":"object","properties":{"label":{"type":"string","nullable":true,"maxLength":200},"fname":{"type":"string","nullable":true,"maxLength":100},"lname":{"type":"string","nullable":true,"maxLength":100},"alt_label":{"type":"string","nullable":true,"maxLength":100},"description":{"type":"string","nullable":true},"address":{"type":"string","nullable":true,"maxLength":500},"email":{"type":"string","nullable":true,"maxLength":255},"phone":{"type":"string","nullable":true,"maxLength":255},"fax":{"type":"string","nullable":true,"maxLength":255},"individual_uri":{"type":"string","nullable":true,"maxLength":255},"country":{"type":"string","nullable":true},"institution_detail":{"type":"string","nullable":true,"maxLength":255},"institutions":{"type":"array","items":{"type":"integer"}}}},"IndividualCreateSuccess":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/Individual"}},"required":["data"]},"Individual":{"type":"object","properties":{"id":{"type":"integer","readOnly":true},"label":{"type":"string","nullable":true,"maxLength":200},"fname":{"type":"string","nullable":true,"maxLength":100},"lname":{"type":"string","nullable":true,"maxLength":100},"alt_label":{"type":"string","nullable":true,"maxLength":100},"description":{"type":"string","nullable":true},"address":{"type":"string","nullable":true,"maxLength":500},"email":{"type":"string","nullable":true,"maxLength":255},"phone":{"type":"string","nullable":true,"maxLength":255},"fax":{"type":"string","nullable":true,"maxLength":255},"individual_uri":{"type":"string","nullable":true,"maxLength":255},"institutions":{"type":"array","items":{"$ref":"#/components/schemas/Institution"},"readOnly":true},"institution_detail":{"type":"string","nullable":true,"maxLength":255},"country":{"type":"string","readOnly":true},"can_edit":{"type":"string","readOnly":true}},"required":["can_edit","country","id","institutions"]},"Institution":{"type":"object","properties":{"id":{"type":"integer","readOnly":true},"institution_type":{"type":"string","readOnly":true},"label":{"type":"string","maxLength":200},"alt_label":{"type":"string","nullable":true,"maxLength":200},"description":{"type":"string","nullable":true},"country":{"type":"string","readOnly":true},"country_subdivision":{"type":"string","nullable":true,"maxLength":255},"city":{"type":"string","nullable":true,"maxLength":255},"ror":{"type":"string","nullable":true,"maxLength":25},"parent_institutions":{"type":"string","readOnly":true},"can_edit":{"type":"string","readOnly":true},"created_by":{"type":"integer","nullable":true}},"required":["can_edit","country","id","institution_type","label","parent_institutions"]}}},"paths":{"/api/individuals/":{"post":{"operationId":"individuals_create","description":"Creates a new individual record for linking to a sample, for example a collector.","summary":"Create individual","tags":["Individuals"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IndividualWrite"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/IndividualWrite"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/IndividualWrite"}}}},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IndividualCreateSuccess"}}},"description":""}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geosamples.org/api/individuals.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
